package com.chenyang.nse.bussiness.entity.orm.table.core.masking;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MASKING_IMGINFO"
)
public class TCoreMaskingImgInfo extends TBaseEntity {
   private String ip;
   private String mak;
   private int logincount;
   private Date createdate;
   private Date updatedate;

   public String getIp() {
      return this.ip;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public String getMak() {
      return this.mak;
   }

   public void setMak(String mak) {
      this.mak = mak;
   }

   public int getLogincount() {
      return this.logincount;
   }

   public void setLogincount(int logincount) {
      this.logincount = logincount;
   }

   public Date getCreatedate() {
      return this.createdate;
   }

   public void setCreatedate(Date createdate) {
      this.createdate = createdate;
   }

   public Date getUpdatedate() {
      return this.updatedate;
   }

   public void setUpdatedate(Date updatedate) {
      this.updatedate = updatedate;
   }
}
